package com.steerinfo.meterwork.meterworkprewgttype.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="车辆过磅重量类型表")
public class MeterWorkPreWgttype implements IBasePO<String> {
    /**
     * 主键(WGT_TYPE_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String wgtTypeId;

    /**
     * 车号(CAR_NO,VARCHAR,25)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 重量类型编号(WEIGHT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="重量类型编号",required=false)
    private String weightTypeNo;

    /**
     * 重量类型名称(WEIGHT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="重量类型名称",required=false)
    private String weightTypeName;

    /**
     * 数据状态(0：作废，1：未使用， 2：已使用)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="数据状态(0：作废，1：未使用， 2：已使用)",required=false)
    private String valueFlag;

    /**
     * 创建人(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 创建人手机号(CREATE_MAN_PHONE,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人手机号",required=false)
    private String createManPhone;

    /**
     * 修改人手机号码(UPDATE_MAN_PHONE,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人手机号码",required=false)
    private String updateManPhone;

    /**
     * 一次计量数据NO(ACTUAL_FIRST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="一次计量数据NO",required=false)
    private String actualFirstNo;

    /**
     * 确认状态(0：未确认；1：已确认)(SUBMIT_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="确认状态(0：未确认；1：已确认)",required=false)
    private String submitFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.wgtTypeId;
    }

    @Override
    public void setId(String wgtTypeId) {
        this.wgtTypeId = wgtTypeId == null ? null : wgtTypeId.trim();
    }

    public String getWgtTypeId() {
        return wgtTypeId;
    }

    public void setWgtTypeId(String wgtTypeId) {
        this.wgtTypeId = wgtTypeId == null ? null : wgtTypeId.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getWeightTypeNo() {
        return weightTypeNo;
    }

    public void setWeightTypeNo(String weightTypeNo) {
        this.weightTypeNo = weightTypeNo == null ? null : weightTypeNo.trim();
    }

    public String getWeightTypeName() {
        return weightTypeName;
    }

    public void setWeightTypeName(String weightTypeName) {
        this.weightTypeName = weightTypeName == null ? null : weightTypeName.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateManPhone() {
        return createManPhone;
    }

    public void setCreateManPhone(String createManPhone) {
        this.createManPhone = createManPhone == null ? null : createManPhone.trim();
    }

    public String getUpdateManPhone() {
        return updateManPhone;
    }

    public void setUpdateManPhone(String updateManPhone) {
        this.updateManPhone = updateManPhone == null ? null : updateManPhone.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getSubmitFlag() {
        return submitFlag;
    }

    public void setSubmitFlag(String submitFlag) {
        this.submitFlag = submitFlag == null ? null : submitFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", wgtTypeId=").append(wgtTypeId);
        sb.append(", carNo=").append(carNo);
        sb.append(", weightTypeNo=").append(weightTypeNo);
        sb.append(", weightTypeName=").append(weightTypeName);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", createManPhone=").append(createManPhone);
        sb.append(", updateManPhone=").append(updateManPhone);
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", submitFlag=").append(submitFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}